package com.hzya.frame.cbs8.dto.res;

/**
 * @Description 电子回单查询返回参数
 * @Author xiangerlin
 * @Date 2024/1/4 17:13
 **/
public class ElecResponseDTO {

    // 账号
    private String accountNo;

    // 账号名称
    private String accountName;

    // 银行类型
    private String bankType;

    // 银行类型名称
    private String bankTypeName;

    // 开户行
    private String openingBank;

    // 交易日期
    private String transactionDate;

    // 电子回单文件状态
    private String electronicBillStatus;

    // 电子回单文件名称
    private String billFileName;

    // 回单文件下载地址
    private String bucketFileUrl;

    // 回单文件名称
    private String bucketFileName;

    // 回单类型
    private String electronicBillType;

    // 银行流水号
    private String bankSerialNumber;

    // 回单编号
    private String printInstanceNumber;

    // 币种
    private String currency;

    // 币种名称
    private String currencyName;

    // 借贷类型
    private String loanType;

    // 交易金额
    private String transactionAmount;

    // 对方账号
    private String oppositeAccount;

    // 对方账户名
    private String oppositeAccountName;

    // 对方开户地
    private String oppositeOpeningPlace;

    // 对方开户行
    private String oppositeOpeningBank;

    // 摘要
    private String digest;

    // 用途
    private String purpose;

    // 账户性质
    private String accountNatureCode;

    // 对账码
    private String checkCode;

    // 单位编码
    private String unitCode;

    // ERP业务参考号
    private String settleBusinessReferenceCode;
    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getBankTypeName() {
        return bankTypeName;
    }

    public void setBankTypeName(String bankTypeName) {
        this.bankTypeName = bankTypeName;
    }

    public String getOpeningBank() {
        return openingBank;
    }

    public void setOpeningBank(String openingBank) {
        this.openingBank = openingBank;
    }

    public String getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(String transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getElectronicBillStatus() {
        return electronicBillStatus;
    }

    public void setElectronicBillStatus(String electronicBillStatus) {
        this.electronicBillStatus = electronicBillStatus;
    }

    public String getBillFileName() {
        return billFileName;
    }

    public void setBillFileName(String billFileName) {
        this.billFileName = billFileName;
    }

    public String getBucketFileUrl() {
        return bucketFileUrl;
    }

    public void setBucketFileUrl(String bucketFileUrl) {
        this.bucketFileUrl = bucketFileUrl;
    }

    public String getBucketFileName() {
        return bucketFileName;
    }

    public void setBucketFileName(String bucketFileName) {
        this.bucketFileName = bucketFileName;
    }

    public String getElectronicBillType() {
        return electronicBillType;
    }

    public void setElectronicBillType(String electronicBillType) {
        this.electronicBillType = electronicBillType;
    }

    public String getBankSerialNumber() {
        return bankSerialNumber;
    }

    public void setBankSerialNumber(String bankSerialNumber) {
        this.bankSerialNumber = bankSerialNumber;
    }

    public String getPrintInstanceNumber() {
        return printInstanceNumber;
    }

    public void setPrintInstanceNumber(String printInstanceNumber) {
        this.printInstanceNumber = printInstanceNumber;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCurrencyName() {
        return currencyName;
    }

    public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public String getTransactionAmount() {
        return transactionAmount;
    }

    public void setTransactionAmount(String transactionAmount) {
        this.transactionAmount = transactionAmount;
    }

    public String getOppositeAccount() {
        return oppositeAccount;
    }

    public void setOppositeAccount(String oppositeAccount) {
        this.oppositeAccount = oppositeAccount;
    }

    public String getOppositeAccountName() {
        return oppositeAccountName;
    }

    public void setOppositeAccountName(String oppositeAccountName) {
        this.oppositeAccountName = oppositeAccountName;
    }

    public String getOppositeOpeningPlace() {
        return oppositeOpeningPlace;
    }

    public void setOppositeOpeningPlace(String oppositeOpeningPlace) {
        this.oppositeOpeningPlace = oppositeOpeningPlace;
    }

    public String getOppositeOpeningBank() {
        return oppositeOpeningBank;
    }

    public void setOppositeOpeningBank(String oppositeOpeningBank) {
        this.oppositeOpeningBank = oppositeOpeningBank;
    }

    public String getDigest() {
        return digest;
    }

    public void setDigest(String digest) {
        this.digest = digest;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getAccountNatureCode() {
        return accountNatureCode;
    }

    public void setAccountNatureCode(String accountNatureCode) {
        this.accountNatureCode = accountNatureCode;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getSettleBusinessReferenceCode() {
        return settleBusinessReferenceCode;
    }

    public void setSettleBusinessReferenceCode(String settleBusinessReferenceCode) {
        this.settleBusinessReferenceCode = settleBusinessReferenceCode;
    }
}
